#pragma once

#include "BtnST.h"
#include "KeyboardButtonST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgDerived : public CDialog
{
public:
	CDlgDerived(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgDerived)
	enum { IDD = IDD_DERIVED };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDerived)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgDerived)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	CKeyboardButtonST	m_btnKeyboard[4];

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
